Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint.bigdecimal
Class BigDecimalConstraintMatch

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatch
          org.optaplanner.core.api.score.constraint.bigdecimal.BigDecimalConstraintMatch

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatch>

    public class BigDecimalConstraintMatch

extends ConstraintMatch

See Also:
  Serialized Form

Field Summary
`protected BigDecimalConstraintMatchTotal` | `constraintMatchTotal`
`protected BigDecimal` | `weight`

Fields inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatch
`justificationList`

Constructor Summary
`BigDecimalConstraintMatch(BigDecimalConstraintMatchTotal constraintMatchTotal, List<Object> justificationList, BigDecimal weight)`

Method Summary
`BigDecimalConstraintMatchTotal` | `getConstraintMatchTotal()`
`BigDecimal` | `getWeight()`
`Number` | `getWeightAsNumber()`

Methods inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatch
`compareTo, getJustificationList, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraintMatchTotal

    protected final BigDecimalConstraintMatchTotal constraintMatchTotal

### weight

    protected final BigDecimal weight

Constructor Detail

### BigDecimalConstraintMatch

    public BigDecimalConstraintMatch(BigDecimalConstraintMatchTotal constraintMatchTotal,
                                     List<Object> justificationList,
                                     BigDecimal weight)

Method Detail

### getConstraintMatchTotal

    public BigDecimalConstraintMatchTotal getConstraintMatchTotal()

  Specified by:
    `getConstraintMatchTotal` in class `ConstraintMatch`

### getWeight

    public BigDecimal getWeight()

### getWeightAsNumber

    public Number getWeightAsNumber()

  Specified by:
    `getWeightAsNumber` in class `ConstraintMatch`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.